
$(document).ready(function() {


    /**
     *  Guardamos perfil
     */

    $('#save-profile').on('click',function () {

        var inputs = {};

        // Recorremos todos los inputs a guardar

        $('.data-profile').map(function () {

            if(typeof $(this).attr('rel') !== "undefined"){

                // Si el input es de tipo checkout lo tratamos de forma diferente.

                if($(this).attr('type') === "checkbox"){

                    // Exiten inputs ocultos (para movil) identicos a los visibles, con esto los diferenciamos.

                    if( $(this).closest('div.container-checkbox').css('display') !== 'none' ){

                        inputs[$(this).attr('rel')] = $(this).is(':checked') ? "1" : "0";

                    }

                }else{

                    inputs[$(this).attr('rel')] = $(this).val()

                }

            }

        });

        $.ajax({
            url: "perfil/update",
            type: "POST",
            method:"post",
            data: {
                id: $('#profile_id').val(),
                inputs: inputs

            },
            success: function (data) {

                if(data != "" && data != 0){
                    // Modal success
                    $('#modalSuccess').modal('show');
                }else{
                    // Modal error
                }

                setTimeout(function(){
                    location.reload();
                }, 2000);

            }
        })

    })

});
